%define		_requires_exceptions pear(PEAR/PackageFileManager/Git.php)
%define		_class		Date
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.5.0a4
Release:	%mkrel 3
Summary:        Generic date/time handling class for PEAR
License:        BSD License
Group:          Development/PHP
URL:            http://pear.php.net/package/Date
Source0:        http://pear.php.net/get/Date-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
BuildArch:      noarch

%description
Generic classes for representation and manipulation of
dates, times and time zones without the need of timestamps,
which is a huge limitation for PHP programs.  Includes time zone data,
time zone conversions and many date/time conversions.
It does not rely on 32-bit system date stamps, so
you can display calendars and compare dates that date
pre 1970 and post 2038.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Date.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date
fi

%files
%doc docs/Date/*
%{peardir}/*
%{xmldir}/Date.xml


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.5.0a4-3.mga4
+ Revision: 541973
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 spuhler <spuhler> 1.5.0a4-2.mga4
+ Revision: 496643
- added %%define _requires_exceptions pear(PEAR/PackageFileManager/Git.php)

* Sun Oct 13 2013 spuhler <spuhler> 1.5.0a4-1.mga4
+ Revision: 496476
- update to 1.5.0a4

* Mon Oct 07 2013 spuhler <spuhler> 1.5.0a2-1.mga4
+ Revision: 492774
- version change to 1.5.0a2, 1.5.0a3 has corrupt tarball

* Sat Oct 05 2013 spuhler <spuhler> 1.5.0a3-2.mga4
+ Revision: 491976
- upgrade to version 1.5.0a3
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.4.7-8.mga3
+ Revision: 376000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.4.7-7.mga1
+ Revision: 20728
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Date


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-7mdv2011.0
+ Revision: 607095
- rebuild

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-6mdv2010.1
+ Revision: 479264
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.7-5mdv2010.0
+ Revision: 426608
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-4mdv2009.1
+ Revision: 321807
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.7-3mdv2009.0
+ Revision: 224692
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-2mdv2008.1
+ Revision: 178505
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-1mdv2008.0
+ Revision: 15427
- fix a silly typo
- 1.4.7


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-1mdv2007.0
+ Revision: 81084
- Import php-pear-Date

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-1mdk
- 1.4.6
- new group (Development/PHP)

* Sun Nov 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-1mdk
- 1.4.5

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-8mdk
- rebuilt to fix auto deps

* Tue Aug 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-7mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-6mdk
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-5mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-4mdk
- fix deps

* Thu Jun 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-3mdk
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.3-2mdk
- fix pre/post

* Wed Jan 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.3-1mdk
- Updated

* Thu Feb 12 2004 Pascal Terjan <pterjan@mandrake.org> 1.4-4mdk
- Own tests/Date

* Sun Jan 04 2004 Pascal Terjan <pterjan@mandrake.org> 1.4-3mdk
- Register the package into pear

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 1.4-2mdk
- Fix directories ownership

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 1.4-1mdk
- First mdk package

